Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.data
Class Namespace

    java.lang.Object
      net.sf.dropboxmq.workflow.data.Namespace

All Implemented Interfaces:
  Serializable, Cloneable

    public class Namespace

extends Object
implements Serializable, Cloneable

Created: 28 Jul 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`Namespace()`

Method Summary
`Namespace` | `clone()`
`boolean` | `equals(Object obj)`
`Integer` | `getId()`
`String` | `getPrefix()`
`Integer` | `getProcessorId()`
`String` | `getURI()`
`int` | `hashCode()`
`void` | `setId(Integer id)`
`void` | `setPrefix(String prefix)`
`void` | `setProcessorId(Integer processorId)`
`void` | `setURI(String uri)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Namespace

    public Namespace()

Method Detail

### getId

    public Integer getId()

### setId

    public void setId(Integer id)

### getPrefix

    public String getPrefix()

### setPrefix

    public void setPrefix(String prefix)

### getURI

    public String getURI()

### setURI

    public void setURI(String uri)

### getProcessorId

    public Integer getProcessorId()

### setProcessorId

    public void setProcessorId(Integer processorId)

### clone

    public final Namespace clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD